|
|
@ -101,7 +101,12 @@ screw = ButtonHeadScrew( |
|
|
|
|
|
|
|
scaled_screw = screw.scale(0.90) |
|
|
|
|
|
|
|
screw_result = Workplane().circle(20).extrude(10).union(scaled_screw) |
|
|
|
screw_result = ( |
|
|
|
Workplane() |
|
|
|
.makePolygon(star(outerRadius=22, innerRadius=13, n=6)) |
|
|
|
.extrude(10) |
|
|
|
.union(scaled_screw) |
|
|
|
) |
|
|
|
|
|
|
|
result = result.workplane(offset=planter_height / 2).cylinder(80, 65, combine="cut") |
|
|
|
|
|
|
@ -140,7 +145,7 @@ assembly.add(result, loc=cq.Location((100, 100, 100))) |
|
|
|
assembly.add(circle_plate, loc=cq.Location((1100, 1100, 1100))) |
|
|
|
|
|
|
|
try: |
|
|
|
show_object(circle_plate) |
|
|
|
show_object(screw_result) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|
|
|
|
|